<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Cuboid Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_cuboid.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_cuboid-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Cuboid Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the cuboid.  
 <a href="class_cuboid.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="cuboid_8hh_source.html">cuboid.hh</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Cuboid:</div>
<div class="dyncontent">
<div class="center"><img src="class_cuboid__inherit__graph.png" border="0" usemap="#_cuboid_inherit__map" alt="Inheritance graph"/></div>
<map name="_cuboid_inherit__map" id="_cuboid_inherit__map">
<area shape="rect" title="Models the concept of the cuboid." alt="" coords="5,80,72,107"/>
<area shape="rect" href="class_drone.html" title="Models the concept of the drone." alt="" coords="8,155,69,181"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="7,5,70,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Cuboid:</div>
<div class="dyncontent">
<div class="center"><img src="class_cuboid__coll__graph.png" border="0" usemap="#_cuboid_coll__map" alt="Collaboration graph"/></div>
<map name="_cuboid_coll__map" id="_cuboid_coll__map">
<area shape="rect" title="Models the concept of the cuboid." alt="" coords="49,260,115,287"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="51,184,113,211"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="5,95,159,121"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="13,5,151,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1abf60e93d024b7a01ee5b1a48f1f08a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid</a> ()</td></tr>
<tr class="memdesc:a1abf60e93d024b7a01ee5b1a48f1f08a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_cuboid.html" title="Models the concept of the cuboid.">Cuboid</a> class.  <a href="class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">More...</a><br /></td></tr>
<tr class="separator:a1abf60e93d024b7a01ee5b1a48f1f08a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba010c63b64540741c25b5e89b7fabbb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#aba010c63b64540741c25b5e89b7fabbb">~Cuboid</a> ()</td></tr>
<tr class="memdesc:aba010c63b64540741c25b5e89b7fabbb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_cuboid.html" title="Models the concept of the cuboid.">Cuboid</a> class.  <a href="class_cuboid.html#aba010c63b64540741c25b5e89b7fabbb">More...</a><br /></td></tr>
<tr class="separator:aba010c63b64540741c25b5e89b7fabbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac05b065f9298c6577f8bf4af96ae08a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#ac05b065f9298c6577f8bf4af96ae08a2">draw</a> (const std::string &amp;filename) const override</td></tr>
<tr class="memdesc:ac05b065f9298c6577f8bf4af96ae08a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the bottom coordinates to a result file.  <a href="class_cuboid.html#ac05b065f9298c6577f8bf4af96ae08a2">More...</a><br /></td></tr>
<tr class="separator:ac05b065f9298c6577f8bf4af96ae08a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">More...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase translation vector.  <a href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">More...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase rotation angle.  <a href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">More...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23a2add7aced7879774dcbc91399cb6b inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">getCollisionInformation</a> () const =0</td></tr>
<tr class="memdesc:a23a2add7aced7879774dcbc91399cb6b inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays error message, that in the next step will be collision with something.  <a href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">More...</a><br /></td></tr>
<tr class="separator:a23a2add7aced7879774dcbc91399cb6b inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84f83422477236425ff566120e7e7c05 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a84f83422477236425ff566120e7e7c05">checkCollision</a> (const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;droneCover) const =0</td></tr>
<tr class="memdesc:a84f83422477236425ff566120e7e7c05 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if in the next step of movement will be collision with something.  <a href="class_shape.html#a84f83422477236425ff566120e7e7c05">More...</a><br /></td></tr>
<tr class="separator:a84f83422477236425ff566120e7e7c05 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a> ()</td></tr>
<tr class="memdesc:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#a935afc9e576015f967d90de56977167d">More...</a><br /></td></tr>
<tr class="separator:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a8e5ab60bcdf1e2a0571f1d38800543a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#a8e5ab60bcdf1e2a0571f1d38800543a4">translateCover</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a8e5ab60bcdf1e2a0571f1d38800543a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translates the drone cover. Moves the drone cover the same translation vector as the drone body.  <a href="class_cuboid.html#a8e5ab60bcdf1e2a0571f1d38800543a4">More...</a><br /></td></tr>
<tr class="separator:a8e5ab60bcdf1e2a0571f1d38800543a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01ff3d2d1f5d2736d614bfe2adf695dd"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#a01ff3d2d1f5d2736d614bfe2adf695dd">getNextStepCover</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;translation) const</td></tr>
<tr class="memdesc:a01ff3d2d1f5d2736d614bfe2adf695dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate the coordinates of drone cover in next step of animation (movement)  <a href="class_cuboid.html#a01ff3d2d1f5d2736d614bfe2adf695dd">More...</a><br /></td></tr>
<tr class="separator:a01ff3d2d1f5d2736d614bfe2adf695dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ade7f4821f35a2b32d2b969f30d0ed9be"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#ade7f4821f35a2b32d2b969f30d0ed9be">cuboidCover_</a></td></tr>
<tr class="memdesc:ade7f4821f35a2b32d2b969f30d0ed9be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of drone cover coordinates used in checkCollision functions.  <a href="class_cuboid.html#ade7f4821f35a2b32d2b969f30d0ed9be">More...</a><br /></td></tr>
<tr class="separator:ade7f4821f35a2b32d2b969f30d0ed9be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td></tr>
<tr class="memdesc:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translation vector of geometric object.  <a href="class_shape.html#aba30fe15a525b5f24e09829094213c07">More...</a><br /></td></tr>
<tr class="separator:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td></tr>
<tr class="memdesc:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation angle of geometric object.  <a href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">More...</a><br /></td></tr>
<tr class="separator:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7cecbba106d01150eb52d53bc0b5d15a"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#a7cecbba106d01150eb52d53bc0b5d15a">kModelCuboid_</a> = &quot;solid/cuboidModel.dat&quot;</td></tr>
<tr class="memdesc:a7cecbba106d01150eb52d53bc0b5d15a"><td class="mdescLeft">&#160;</td><td class="mdescRight">File containing the cuboid coordinates model.  <a href="class_cuboid.html#a7cecbba106d01150eb52d53bc0b5d15a">More...</a><br /></td></tr>
<tr class="separator:a7cecbba106d01150eb52d53bc0b5d15a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0574a7d21a42de91ead1f99857eb10d2"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#a0574a7d21a42de91ead1f99857eb10d2">points_</a></td></tr>
<tr class="memdesc:a0574a7d21a42de91ead1f99857eb10d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of cuboid coordinates.  <a href="class_cuboid.html#a0574a7d21a42de91ead1f99857eb10d2">More...</a><br /></td></tr>
<tr class="separator:a0574a7d21a42de91ead1f99857eb10d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a> = 0</td></tr>
<tr class="memdesc:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of total Vector3D objects.  <a href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">More...</a><br /></td></tr>
<tr class="separator:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> = 0</td></tr>
<tr class="memdesc:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of current Vector3D objects.  <a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">More...</a><br /></td></tr>
<tr class="separator:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a> (double degree)</td></tr>
<tr class="memdesc:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate degrees to radians.  <a href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">More...</a><br /></td></tr>
<tr class="separator:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="cuboid_8hh_source.html#l00014">14</a> of file <a class="el" href="cuboid_8hh_source.html">cuboid.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1abf60e93d024b7a01ee5b1a48f1f08a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1abf60e93d024b7a01ee5b1a48f1f08a">&#9670;&nbsp;</a></span>Cuboid()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Cuboid::Cuboid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Construct new <a class="el" href="class_cuboid.html" title="Models the concept of the cuboid.">Cuboid</a> object. </p>

<p class="definition">Definition at line <a class="el" href="cuboid_8cpp_source.html#l00005">5</a> of file <a class="el" href="cuboid_8cpp_source.html">cuboid.cpp</a>.</p>

</div>
</div>
<a id="aba010c63b64540741c25b5e89b7fabbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba010c63b64540741c25b5e89b7fabbb">&#9670;&nbsp;</a></span>~Cuboid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Cuboid::~Cuboid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reduces the number of current Vector3D objects by the number of coordinates contained in set of cuboid coordinates. </p>

<p class="definition">Definition at line <a class="el" href="cuboid_8hh_source.html#l00059">59</a> of file <a class="el" href="cuboid_8hh_source.html">cuboid.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac05b065f9298c6577f8bf4af96ae08a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac05b065f9298c6577f8bf4af96ae08a2">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Cuboid::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>- result file name. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="class_shape.html#adbb8b78656c05a402be46335239606ef">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="cuboid_8cpp_source.html#l00029">29</a> of file <a class="el" href="cuboid_8cpp_source.html">cuboid.cpp</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_cuboid_ac05b065f9298c6577f8bf4af96ae08a2_icgraph.png" border="0" usemap="#class_cuboid_ac05b065f9298c6577f8bf4af96ae08a2_icgraph" alt=""/></div>
<map name="class_cuboid_ac05b065f9298c6577f8bf4af96ae08a2_icgraph" id="class_cuboid_ac05b065f9298c6577f8bf4af96ae08a2_icgraph">
<area shape="rect" title="Saves the bottom coordinates to a result file." alt="" coords="155,5,261,32"/>
<area shape="rect" href="class_drone.html#a43e891fd105579c5562ada343df72bb2" title="Saves the bottom coordinates to a result file." alt="" coords="5,5,107,32"/>
</map>
</div>

</div>
</div>
<a id="a01ff3d2d1f5d2736d614bfe2adf695dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01ff3d2d1f5d2736d614bfe2adf695dd">&#9670;&nbsp;</a></span>getNextStepCover()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; Cuboid::getNextStepCover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>translation</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">translation</td><td>- translation vector. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>nextStepCover - coordinates of drone cover in next step of movement. </dd></dl>

<p class="definition">Definition at line <a class="el" href="cuboid_8cpp_source.html#l00060">60</a> of file <a class="el" href="cuboid_8cpp_source.html">cuboid.cpp</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_cuboid_a01ff3d2d1f5d2736d614bfe2adf695dd_icgraph.png" border="0" usemap="#class_cuboid_a01ff3d2d1f5d2736d614bfe2adf695dd_icgraph" alt=""/></div>
<map name="class_cuboid_a01ff3d2d1f5d2736d614bfe2adf695dd_icgraph" id="class_cuboid_a01ff3d2d1f5d2736d614bfe2adf695dd_icgraph">
<area shape="rect" title="Calculate the coordinates of drone cover in next step of animation (movement)" alt="" coords="212,5,407,32"/>
<area shape="rect" href="class_drone.html#ac92e53bc078523b250bba5a33c010b33" title="Move drone forward." alt="" coords="5,5,164,32"/>
</map>
</div>

</div>
</div>
<a id="a8e5ab60bcdf1e2a0571f1d38800543a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e5ab60bcdf1e2a0571f1d38800543a4">&#9670;&nbsp;</a></span>translateCover()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Cuboid::translateCover </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>change</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">change</td><td>- translation vector. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="cuboid_8cpp_source.html#l00052">52</a> of file <a class="el" href="cuboid_8cpp_source.html">cuboid.cpp</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_cuboid_a8e5ab60bcdf1e2a0571f1d38800543a4_icgraph.png" border="0" usemap="#class_cuboid_a8e5ab60bcdf1e2a0571f1d38800543a4_icgraph" alt=""/></div>
<map name="class_cuboid_a8e5ab60bcdf1e2a0571f1d38800543a4_icgraph" id="class_cuboid_a8e5ab60bcdf1e2a0571f1d38800543a4_icgraph">
<area shape="rect" title="Translates the drone cover. Moves the drone cover the same translation vector as the drone body." alt="" coords="212,5,383,32"/>
<area shape="rect" href="class_drone.html#ac92e53bc078523b250bba5a33c010b33" title="Move drone forward." alt="" coords="5,5,164,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ade7f4821f35a2b32d2b969f30d0ed9be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade7f4821f35a2b32d2b969f30d0ed9be">&#9670;&nbsp;</a></span>cuboidCover_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Cuboid::cuboidCover_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="cuboid_8hh_source.html#l00029">29</a> of file <a class="el" href="cuboid_8hh_source.html">cuboid.hh</a>.</p>

</div>
</div>
<a id="a7cecbba106d01150eb52d53bc0b5d15a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cecbba106d01150eb52d53bc0b5d15a">&#9670;&nbsp;</a></span>kModelCuboid_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Cuboid::kModelCuboid_ = &quot;solid/cuboidModel.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="cuboid_8hh_source.html#l00018">18</a> of file <a class="el" href="cuboid_8hh_source.html">cuboid.hh</a>.</p>

</div>
</div>
<a id="a0574a7d21a42de91ead1f99857eb10d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0574a7d21a42de91ead1f99857eb10d2">&#9670;&nbsp;</a></span>points_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Cuboid::points_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="cuboid_8hh_source.html#l00023">23</a> of file <a class="el" href="cuboid_8hh_source.html">cuboid.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="cuboid_8hh_source.html">cuboid.hh</a></li>
<li><a class="el" href="cuboid_8cpp_source.html">cuboid.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_cuboid.html">Cuboid</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
